Subject: Re: [PATCH v6] dmaengine: Driver support for FSL RaidEngine device.

From: Vinod Koul <[email-masked]>
Date: Thu, 2 Apr 2015 16:13:35 +0530

On Tue, Mar 03, 2015 at 02:26:22PM +0800, [email-masked] wrote:
> From: Xuelin Shi <[email-masked]>
> 
> The RaidEngine is a new FSL hardware used for Raid5/6 acceration.
> This patch enables the RaidEngine functionality and provides
> hardware offloading capability for memcpy, xor and pq computation.
> It works with async_tx.
Applied, with below patch added on top

diff --git a/drivers/dma/fsl_raid.c b/drivers/dma/fsl_raid.c
index 12778bd6446b..4d9470f16552 100644
--- a/drivers/dma/fsl_raid.c
+++ b/drivers/dma/fsl_raid.c
@@ -629,7 +629,7 @@ static void fsl_re_free_chan_resources(struct dma_chan
*chan)
                dev_err(re_chan->dev, "chan resource cannot be cleaned!\n");
 }

-int fsl_re_chan_probe(struct platform_device *ofdev,
+static int fsl_re_chan_probe(struct platform_device *ofdev,
                      struct device_node *np, u8 q, u32 off)
 {
        struct device *dev, *chandev;

-- 
~Vinod